%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Mail-DKIM
Version:       1.20240923
Release:       1mamba
Summary:       Mail::DKIM - Signs/verifies Internet mail with DKIM/DomainKey signatures
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://metacpan.org/pod/Mail::DKIM
Source:        https://cpan.metacpan.org/authors/id/M/MB/MBRADSHAW/Mail-DKIM-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Crypt-OpenSSL-RSA
BuildRequires: perl-CryptX
BuildRequires: perl-Mail-AuthenticationResults
BuildRequires: perl-Mail-Tools
BuildRequires: perl-Net-DNS
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-YAML-LibYAML
BuildRequires: perl-Net-DNS-Resolver-Mock
Requires:      perl >= %perl_major_ver

%description
Mail::DKIM - Signs/verifies Internet mail with DKIM/DomainKey signatures.

%prep
%setup -q -n Mail-DKIM-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Sep 24 2024 Automatic Build System <autodist@openmamba.org> 1.20240923-1mamba
- automatic version update by autodist

* Tue Aug 27 2024 Automatic Build System <autodist@openmamba.org> 1.20240827-1mamba
- automatic version update by autodist

* Wed Jun 19 2024 Automatic Build System <autodist@openmamba.org> 1.20240619-1mamba
- automatic version update by autodist

* Thu Jan 25 2024 Automatic Build System <autodist@openmamba.org> 1.20240124-1mamba
- automatic version update by autodist

* Mon Sep 11 2023 Automatic Build System <autodist@mambasoft.it> 1.20230911-1mamba
- automatic version update by autodist

* Fri Jun 30 2023 Automatic Build System <autodist@mambasoft.it> 1.20230630-1mamba
- automatic version update by autodist

* Mon Feb 13 2023 Automatic Build System <autodist@mambasoft.it> 1.20230212-1mamba
- automatic version update by autodist

* Fri May 20 2022 Automatic Build System <autodist@mambasoft.it> 1.20220520-1mamba
- automatic version update by autodist

* Sat Apr 09 2022 Automatic Build System <autodist@mambasoft.it> 1.20220408-1mamba
- automatic version update by autodist

* Thu Oct 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20200907-1mamba
- update to 1.20200907

* Thu Feb 21 2013 Automatic Build System <autodist@mambasoft.it> 0.40-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.39-2mamba
- perl 5.16 mass rebuild

* Tue Nov 16 2010 Automatic Build System <autodist@mambasoft.it> 0.39-1mamba
- automatic update by autodist

* Sun Jun 27 2010 Automatic Build System <autodist@mambasoft.it> 0.38_7-1mamba
- automatic update by autodist

* Tue May 11 2010 Automatic Build System <autodist@mambasoft.it> 0.38-1mamba
- automatic update by autodist

* Thu Jan 14 2010 Automatic Build System <autodist@mambasoft.it> 0.37_5-1mamba
- automatic update by autodist

* Thu Sep 17 2009 Automatic Build System <autodist@mambasoft.it> 0.37-1mamba
- automatic update by autodist

* Sat Jul 11 2009 Automatic Build System <autodist@mambasoft.it> 0.36_5-1mamba
- automatic update by autodist

* Mon Apr 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33-1mamba
- update to 0.33

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.28-2mamba
- automatic rebuild by autodist

* Thu Nov 08 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.28-1mamba
- package created by autospec
